package org.jerrymouse.cc.site.web;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jerrymouse.cc.site.database.UserDaoTest;
import org.jerrymouse.cc.site.test.BaseTest;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

public class StorageWebTest extends BaseTest {
	@Autowired
	UserDaoTest userDaoTest;
	@Autowired
	StorageWeb storageResource;

	Log log = LogFactory.getLog(getClass());

	@Override
	@Before
	protected void onSetUp() throws Exception {
		super.onSetUp();
	}

	@Test
	public void testList() throws Exception {
		storageResource.list("yankai").getEntity().toString();
	}

	@Test
	public void testGetResource() throws Exception {
		// log.debug(storageResource.getResource("yankai", "a"));
	}

}
